Holger's Java API

## com.antelmann.sql
Annotation Type MappedEntry

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface MappedEntry

used for `DBEntry` classes that can be automatically mapped using annotations. Note that a class annotated with MappedEntry must have a constructor that takes an object that serves as the id (that constructor need not to be public)! Alternatively, there can be a constructor with a single parameter where the type is not Object but identical to the mapped type from the database.

Since:
  24.06.2009, 11:41:48
Author:
  Holger Antelmann
See Also:
  `MappedEntryMapper`, `MappedColumn`

Optional Element Summary
`String` `displayColumn` (optional) specifies the name for the display column used for Stub objects (defaults to an empty string, meaning the id column is used)
`String` `idColumn` (optional) specifies the ID column of the table; defaults to "id"
`String` `query` (optional) specifies an SQL-query to select the data (defaults to an empty string, meaning no query is used)
`String` `table` (optional) denotes the name of the table (defaults to an empty string, which is interpreted as the simple name of the class)

### table

    public abstract String table

  (optional) denotes the name of the table (defaults to an empty string, which is interpreted as the simple name of the class)

  See Also:
    `MappedEntryMapper.getTableName(Class)`
  Default:
    ""

### idColumn

    public abstract String idColumn

  (optional) specifies the ID column of the table; defaults to "id"

  Default:
    "id"

### query

    public abstract String query

  (optional) specifies an SQL-query to select the data (defaults to an empty string, meaning no query is used)

  Default:
    ""

### displayColumn

    public abstract String displayColumn

  (optional) specifies the name for the display column used for Stub objects (defaults to an empty string, meaning the id column is used)

  Default:
    ""

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads